Index: trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/SelectPayment/FrmSelectPayment.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/SelectPayment/FrmSelectPayment.cs	(revision 384)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/SelectPayment/FrmSelectPayment.cs	(revision 385)
@@ -1813,187 +2184,231 @@
         }
         #endregion
 
-        #region 表示権限のチェックを実施する。
+        #region 請求行の表示権限のチェックを実施する。
         /// <summary>
-        /// 表示権限のチェックを実施する。
+        /// 請求行の表示権限のチェックを実施する。
         /// </summary>
         /// <param name="orderer"></param>
         /// <returns></returns>
-        private bool CheckOrdererPermission(DepositOrderer orderer)
+        private bool CheckDepositDetailPermission(DepositOrderer depositOrderer)
         {
+            var ioCbi = new IOConstructionBaseInfo();
+            var SalesDepCodeData = 0;
+            var SalesPersonCodeData = 0;
+            var SalesSubDepCodeData = 0;
+            var SalesSubPersonCodeData = 0;
 
-            // すべて表示させる
-            return true;
+            var ConstrDepCodeData = 0;
+            var ConstructionPersonCodeData = 0;
+            var ConstrSubDepCodeData = 0;
+            var ConstrSubPersonCodeData = 0;
+            var ConstrInstrDepCodeData = 0;
+            var ConstructionInstructorData = 0;
 
-            #region 表示権限
-            //var ioDepData = new IODepositData();
-            //var ioDepDtl = new IODepositDataDetail();
+            try
+            {
+                var doDepDetails = depositOrderer.VisibleDepositDetails;
+                var data = new ArrayList();
+                var sql = new StringBuilder();
+                sql.Append(" SELECT ");
+                sql.Append(" SALESDEPCODE ");
+                sql.Append(" , SALESPERSONCODE ");
+                sql.Append(" , SALESSUBDEPCODE ");
+                sql.Append(" , SALESSUBPERSONCODE ");
+                sql.Append(" , CONSTRDEPCODE ");
+                sql.Append(" , CONSTRUCTIONPERSONCODE ");
+                sql.Append(" , CONSTRSUBDEPCODE ");
+                sql.Append(" , CONSTRSUBPERSONCODE ");
+                sql.Append(" , CONSTRINSTRDEPCODE ");
+                sql.Append(" , CONSTRUCTIONINSTRUCTOR ");
+                sql.Append(" FROM CONSTRUCTIONBASEINFO ");
+                sql.AppendFormat(" WHERE CONSTRUCTIONCODE  = {0}; ", doDepDetails[0].ConstructionCode);
+                if (!ioCbi.ExecuteReader(sql.ToString(), ref data))
+                {
+                    return false;
+                }
+                foreach (object[] work in data)
+                {
+                    SalesDepCodeData = CommonMotions.cnvInt(work[0]);
+                    SalesPersonCodeData = CommonMotions.cnvInt(work[1]);
+                    SalesSubDepCodeData = CommonMotions.cnvInt(work[2]);
+                    SalesSubPersonCodeData = CommonMotions.cnvInt(work[3]);
+                    ConstrDepCodeData = CommonMotions.cnvInt(work[4]);
+                    ConstructionPersonCodeData = CommonMotions.cnvInt(work[5]);
+                    ConstrSubDepCodeData = CommonMotions.cnvInt(work[6]);
+                    ConstrSubPersonCodeData = CommonMotions.cnvInt(work[7]);
+                    ConstrInstrDepCodeData = CommonMotions.cnvInt(work[8]);
+                    ConstructionInstructorData = CommonMotions.cnvInt(work[9]);
+                }
 
-            //try
-            //{
-            //    // 全部署対象
-            //    if (m_UserInfo.m_SecRange == ClsSecurityPermission.SecRangeType.AllDepartment)
-            //    {
-            //        return true;
-            //    }
-
-            //    var sql = new StringBuilder();
-            //    var arWork = new ArrayList();
-            //    sql.Length = 0;
-            //    var arDataPdm = new ArrayList();
-
-            //    // 担当分のみ対象の場合
-            //    if (m_UserInfo.m_SecRange == ClsSecurityPermission.SecRangeType.InCharge)
-            //    {
-            //        sql.Append("SELECT COUNT(*) FROM DepositDataDetail DepDtl ");
-            //        sql.Append("INNER JOIN RequestHead ReqHead ON ");
-            //        sql.Append("DepDtl.RequestNo = ReqHead.RequestNo ");
-            //        sql.Append("INNER JOIN ConstructionBaseInfo Info ON ");
-            //        sql.Append("ReqHead.ReqConstructionCode = Info.ConstructionCode ");
-            //        sql.AppendFormat("WHERE DepDtl.OrderersDivision = {0} ", orderer.OrderersDivision);
-            //        sql.AppendFormat("AND DepDtl.OrderersCode = {0} ", orderer.OrderersCode);
-            //        sql.AppendFormat("AND DepDtl.TargetDate = {0} ", m_Select_TargetDate);
-            //        sql.AppendFormat("AND (Info.ConstructionPersonCode = {0} OR Info.ConstrSubPersonCode = {0} OR Info.ConstructionInstructor = {0}) ", CommonMotions.LoginUserData.PersonCode);
-            //    }
-            //    // 自部署のみ
-            //    else if (m_UserInfo.m_SecRange == ClsSecurityPermission.SecRangeType.OneDepartment)
-            //    {
-            //        sql.Append("SELECT COUNT(*) FROM DepositDataDetail DepDtl ");
-            //        sql.Append("INNER JOIN RequestHead ReqHead ON ");
-            //        sql.Append("DepDtl.RequestNo = ReqHead.RequestNo ");
-            //        sql.Append("INNER JOIN ConstructionBaseInfo Info ON ");
-            //        sql.Append("ReqHead.ReqConstructionCode = Info.ConstructionCode ");
-            //        sql.Append("INNER JOIN PersonInChargeMaster Prsn ON ");
-            //        sql.Append("Info.ConstructionPersonCode = Prsn.PersonCode ");
-            //        sql.AppendFormat("WHERE DepDtl.OrderersDivision = {0} ", orderer.OrderersDivision);
-            //        sql.AppendFormat("AND DepDtl.OrderersCode = {0} ", orderer.OrderersCode);
-            //        sql.AppendFormat("AND DepDtl.TargetDate = {0} ", m_Select_TargetDate);
-            //        sql.AppendFormat("AND Prsn.DepartmentCode = {0} ", CommonMotions.LoginUserData.DepartmentCode);
-            //    }
-            //    // 複数部署
-            //    else if (m_UserInfo.m_SecRange == ClsSecurityPermission.SecRangeType.MultiDepartment)
-            //    {
-            //        sql.Append("SELECT COUNT(*) FROM DepositDataDetail DepDtl ");
-            //        sql.Append("INNER JOIN RequestHead ReqHead ON ");
-            //        sql.Append("DepDtl.RequestNo = ReqHead.RequestNo ");
-            //        sql.Append("INNER JOIN ConstructionBaseInfo Info ON ");
-            //        sql.Append("ReqHead.ReqConstructionCode = Info.ConstructionCode ");
-            //        sql.Append("INNER JOIN PersonInChargeMaster Prsn ON ");
-            //        sql.Append("Info.ConstructionPersonCode = Prsn.PersonCode ");
-            //        sql.Append("INNER JOIN PersonDepartmentMaster PrsnDep ON ");
-            //        sql.Append("Prsn.DepartmentCode = PrsnDep.DepartmentCode ");
-            //        sql.AppendFormat("WHERE DepDtl.OrderersDivision = {0} ", orderer.OrderersDivision);
-            //        sql.AppendFormat("AND DepDtl.OrderersCode = {0} ", orderer.OrderersCode);
-            //        sql.AppendFormat("AND DepDtl.TargetDate = {0} ", m_Select_TargetDate);
-            //        sql.AppendFormat("AND PrsnDep.PersonCode = {0} ", CommonMotions.LoginUserData.PersonCode);
-
-            //    }
-
-            //    if (!ioDepDtl.ExecuteReader(sql.ToString(), ref arDataPdm))
-            //        return false;
-
-            //    int nCount = CommonMotions.cnvInt(((object[])arDataPdm[0])[0]);
-
-            //    // 権限を所有する工事がある場合は保持
-            //    if (nCount > 0)
-            //    {
-            //        return true;
-            //    }
-            //    else
-            //    {
-            //        return false;
-            //    }
-            //}
-            //catch (Exception ex)
-            //{
-            //    logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
-            //    return false;
-            //}
-            //finally
-            //{
-            //    ioDepData.close();
-            //    ioDepData = null;
-            //    ioDepDtl.close();
-            //    ioDepDtl = null;
-            //}
-            #endregion
+                // 特別権限と総務は表示
+                if (CommonMotions.LoginUserData.DepartmentCode == CommonDefine.s_GeneralAffairsDevision ||
+                        m_UserInfo.m_Type == CommonDefine.SecurityRankPos.SpecialAuthority)
+                {
+                    return true;
+                }
+                // 複数部署対象、または自部署のみ対象
+                else if ((m_UserInfo.m_SecRange == ClsSecurityPermission.SecRangeType.MultiDepartment) || 
+                    (m_UserInfo.m_SecRange == ClsSecurityPermission.SecRangeType.OneDepartment))
+                {
+                    if (CommonMotions.LoginUserData.DepartmentCode == SalesDepCodeData ||
+                        CommonMotions.LoginUserData.DepartmentCode == SalesSubDepCodeData ||
+                        CommonMotions.LoginUserData.DepartmentCode == ConstrDepCodeData ||
+                        CommonMotions.LoginUserData.DepartmentCode == ConstrSubDepCodeData ||
+                        CommonMotions.LoginUserData.DepartmentCode == ConstrInstrDepCodeData)
+                    {
+                        return true;
+                    }
+                }
+                // 自分の担当の場合は表示
+                else if(CommonMotions.LoginUserData.PersonCode == SalesPersonCodeData ||
+                    CommonMotions.LoginUserData.PersonCode == SalesSubPersonCodeData ||
+                    CommonMotions.LoginUserData.PersonCode == ConstructionPersonCodeData ||
+                CommonMotions.LoginUserData.PersonCode == ConstrSubPersonCodeData ||
+                CommonMotions.LoginUserData.PersonCode == ConstructionInstructorData)
+                {
+                    return true;
+                }
+                return false;
+            }
+            catch(Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return false;
+            }
+            finally
+            {
+                ioCbi.close();
+                ioCbi = null;
+            }
         }
         #endregion
 
-        #region 表示権限のチェックを実施する。
+        #region 請求先行・合計行の表示権限のチェックを実施する。
         /// <summary>
         /// 表示権限のチェックを実施する。
         /// </summary>
-        /// <param name="DepartmentCode"></param>
-        /// <param name="ConstructionPersonCode"></param>
-        /// <param name="ConstrSubPersonCode"></param>
-        /// <param name="ConstructionInstructor"></param>
-        /// <returns></returns>
-        private bool CheckPermission(int DepartmentCode, int ConstructionPersonCode, int ConstrSubPersonCode, int ConstructionInstructor)
+        private bool CheckPermission(DepositOrderer depositOrderer)
         {
-            // すべて表示させる
-            return true;
+            if (depositOrderer.RequestMonth == 0)
+            {
+                return false;
+            }
+            var ioRH = new IORequestHead();
+            var SalesDepCodeData = 0;
+            var SalesPersonCodeData = 0;
+            var SalesSubDepCodeData = 0;
+            var SalesSubPersonCodeData = 0;
+            var ConstrDepCodeData = 0;
+            var ConstructionPersonCodeData = 0;
+            var ConstrSubDepCodeData = 0;
+            var ConstrSubPersonCodeData = 0;
+            var ConstrInstrDepCodeData = 0;
+            var ConstructionInstructorData = 0;
+            var InvoiceNoData = 0;
+            bool InvoiceNoDataCheck = false;
+            try
+            {
+                var data = new ArrayList();
+                var sql = new StringBuilder();
 
-            #region 表示権限
-            //var ioPdm = new IOMPersonDepartment();
+                sql.Append(" SELECT ");
+                sql.Append("   SALESDEPCODE ");
+                sql.Append("   , SALESPERSONCODE ");
+                sql.Append("   , SALESSUBDEPCODE ");
+                sql.Append("   , SALESSUBPERSONCODE ");
+                sql.Append("   , CONSTRDEPCODE ");
+                sql.Append("   , CONSTRUCTIONPERSONCODE ");
+                sql.Append("   , CONSTRSUBDEPCODE ");
+                sql.Append("   , CONSTRSUBPERSONCODE ");
+                sql.Append("   , CONSTRINSTRDEPCODE ");
+                sql.Append("   , CONSTRUCTIONINSTRUCTOR  ");
+                sql.Append("   , I.INVOICENO  ");
+                sql.Append(" FROM ");
+                sql.Append("   REQUESTHEAD AS H  ");
+                sql.Append("   INNER JOIN CONSTRUCTIONBASEINFO AS CBI  ");
+                sql.Append("     ON CBI.ConstructionCode = H.REQCONSTRUCTIONCODE  ");
+                sql.Append("   LEFT OUTER JOIN INVOICEDATA AS I  ");
+                sql.Append("     ON I.INVOICENO = H.INVOICENO  ");
+                sql.Append(" WHERE ");
+                sql.AppendFormat("   H.REQUESTMONTH = {0} ", depositOrderer.RequestMonth);
+                sql.AppendFormat("   AND H.ORDERERSDIVISION = {0} ", depositOrderer.OrderersDivision);
+                sql.AppendFormat("   AND H.ORDERERSCODE = {0}; ", depositOrderer.OrderersCode);
+                if (!ioRH.ExecuteReader(sql.ToString(), ref data))
+                {
+                    return false;
+                }
 
-            //try
-            //{
-            //    // 全部署対象
-            //    if (m_UserInfo.m_SecRange == ClsSecurityPermission.SecRangeType.AllDepartment)
-            //    {
-            //        return true;
-            //    }
+                // 請求書が作成されていないデータは非表示にする
+                foreach (object[] work in data)
+                {
+                    InvoiceNoData = CommonMotions.cnvInt(work[10]);
+                    if (InvoiceNoData != 0)
+                    {
+                        InvoiceNoDataCheck = true;
+                    }
+                }
+                if (!InvoiceNoDataCheck)
+                {
+                    return false;
+                }
 
-            //    // 複数部署対象、または自部署のみ対象
-            //    else if ((m_UserInfo.m_SecRange == ClsSecurityPermission.SecRangeType.MultiDepartment) || (m_UserInfo.m_SecRange == ClsSecurityPermission.SecRangeType.OneDepartment))
-            //    {
-            //        var arDataPdm = new ArrayList();
-            //        var sql = new StringBuilder();
-            //        sql.AppendLine("select Pdm.DepartmentCode ");
-            //        sql.AppendLine("from PersonDepartmentMaster as Pdm ");
-            //        sql.AppendFormat("where Pdm.PersonCode = {0} ", CommonMotions.LoginUserData.PersonCode);
-            //        if (m_UserInfo.m_SecRange == ClsSecurityPermission.SecRangeType.OneDepartment)
-            //        {
-            //            sql.AppendLine("and Pdm.AffiliationFlg = 1 ");
-            //        }
-            //        if (!ioPdm.ExecuteReader(sql.ToString(), ref arDataPdm))
-            //            return false;
-            //        foreach (object[] work in arDataPdm)
-            //        {
-            //            if (CommonMotions.cnvInt(work[0]) == DepartmentCode)
-            //            {
-            //                return true;
-            //            }
-            //        }
-            //        return false;
-            //    }
-            //    // 担当分のみ対象
-            //    else
-            //    {
-            //        if ((CommonMotions.LoginUserData.PersonCode == ConstructionPersonCode) ||
-            //            (CommonMotions.LoginUserData.PersonCode == ConstrSubPersonCode) ||
-            //            (CommonMotions.LoginUserData.PersonCode == ConstructionInstructor))
-            //        {
-            //            return true;
-            //        }
-            //        else
-            //        {
-            //            return false;
-            //        }
-            //    }
-            //}
-            //catch (Exception ex)
-            //{
-            //    logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
-            //    return false;
-            //}
-            //finally
-            //{
-            //    ioPdm.close();
-            //    ioPdm = null;
-            //}
-            #endregion
+                // 請求書が作成いるデータで権限を確認する
+                foreach (object[] work in data)
+                {
+                    SalesDepCodeData = CommonMotions.cnvInt(work[0]);
+                    SalesPersonCodeData = CommonMotions.cnvInt(work[1]);
+                    SalesSubDepCodeData = CommonMotions.cnvInt(work[2]);
+                    SalesSubPersonCodeData = CommonMotions.cnvInt(work[3]);
+                    ConstrDepCodeData = CommonMotions.cnvInt(work[4]);
+                    ConstructionPersonCodeData = CommonMotions.cnvInt(work[5]);
+                    ConstrSubDepCodeData = CommonMotions.cnvInt(work[6]);
+                    ConstrSubPersonCodeData = CommonMotions.cnvInt(work[7]);
+                    ConstrInstrDepCodeData = CommonMotions.cnvInt(work[8]);
+                    ConstructionInstructorData = CommonMotions.cnvInt(work[9]);
+
+                    // 特別権限と総務は表示
+                    if (CommonMotions.LoginUserData.DepartmentCode == CommonDefine.s_GeneralAffairsDevision ||
+                            m_UserInfo.m_Type == CommonDefine.SecurityRankPos.SpecialAuthority)
+                    {
+                        return true;
+                    }
+                    // 複数部署対象、または自部署のみ対象
+                    else if ((m_UserInfo.m_SecRange == ClsSecurityPermission.SecRangeType.MultiDepartment) ||
+                        (m_UserInfo.m_SecRange == ClsSecurityPermission.SecRangeType.OneDepartment))
+                    {
+                        if (CommonMotions.LoginUserData.DepartmentCode == SalesDepCodeData ||
+                            CommonMotions.LoginUserData.DepartmentCode == SalesSubDepCodeData ||
+                            CommonMotions.LoginUserData.DepartmentCode == ConstrDepCodeData ||
+                            CommonMotions.LoginUserData.DepartmentCode == ConstrSubDepCodeData ||
+                            CommonMotions.LoginUserData.DepartmentCode == ConstrInstrDepCodeData)
+                        {
+                            return true;
+                        }
+                    }
+                    // 自分の担当の場合は表示
+                    else if (CommonMotions.LoginUserData.PersonCode == SalesPersonCodeData ||
+                        CommonMotions.LoginUserData.PersonCode == SalesSubPersonCodeData ||
+                        CommonMotions.LoginUserData.PersonCode == ConstructionPersonCodeData ||
+                    CommonMotions.LoginUserData.PersonCode == ConstrSubPersonCodeData ||
+                    CommonMotions.LoginUserData.PersonCode == ConstructionInstructorData)
+                    {
+                        return true;
+                    }
+                }
+                
+                return false;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return false;
+            }
+            finally
+            {
+                ioRH.close();
+                ioRH = null;
+            }
         }
         #endregion
 
@@ -2005,32 +2420,43 @@
         /// <returns></returns>
         private bool CanEditDepositDetail(DepositDetail depositDetail)
         {
-            // 担当者、副担当、指導員の場合
-            if (CommonMotions.LoginUserData.PersonCode == depositDetail.ConstructionPersonCode ||
-                CommonMotions.LoginUserData.PersonCode == depositDetail.ConstrSubPersonCode ||
-                CommonMotions.LoginUserData.PersonCode == depositDetail.ConstructionInstructor)
+
+            // 承認済みなら編集不可
+            if (depositDetail.ConfirmationEndFlg == 1)
             {
-                // 承認済みなら編集不可
-                if (depositDetail.ConfirmationEndFlg == 1)
-                {
-                    return false;
-                }
+                return false;
+            }
+            // 特別権限の場合
+            else if (m_UserInfo.m_Type == CommonDefine.SecurityRankPos.SpecialAuthority)
+            {
                 return true;
             }
-            // 所属長、統括者の場合
-            else if (m_UserInfo.m_Type == CommonDefine.SecurityRankPos.LimitedAuthority || m_UserInfo.m_Type == CommonDefine.SecurityRankPos.FreeAuthority)
+            else
             {
-                // 上属の上長でなければ編集不可
-                if ((int)CommonMotions.LoginUserData.DepartmentCode != depositDetail.DepartmentCode)
+                // 担当者、副担当、指導員の場合
+                if (CommonMotions.LoginUserData.PersonCode == depositDetail.ConstructionPersonCode ||
+                    CommonMotions.LoginUserData.PersonCode == depositDetail.ConstrSubPersonCode ||
+                    CommonMotions.LoginUserData.PersonCode == depositDetail.ConstructionInstructor)
                 {
-                    return false;
+                    return true;
                 }
+
+                // 総務の場合は編集可能
+                else if (CommonMotions.LoginUserData.DepartmentCode == CommonDefine.s_GeneralAffairsDevision)
+                {
+                    return true;
+                }
+
+                // 所属長、統括者の場合
+                else if (m_UserInfo.m_Type == CommonDefine.SecurityRankPos.LimitedAuthority || m_UserInfo.m_Type == CommonDefine.SecurityRankPos.FreeAuthority)
+                {
+                    // 上属の上長でなければ編集不可
+                    if ((int)CommonMotions.LoginUserData.DepartmentCode != depositDetail.DepartmentCode)
+                    {
+                        return false;
+                    }
+                }
             }
-            // 特別権限の場合
-            else if (m_UserInfo.m_Type == CommonDefine.SecurityRankPos.SpecialAuthority)
-            {
-                return true;
-            }
             return false;
         }
         #endregion
@@ -2148,6 +2574,10 @@
             {
                 dgvMaster.Columns[i].Visible = true;
             }
+            for(int p=0; p < dgvMaster.RowCount; p++)
+            {
+                dgvMaster.Rows[p].Visible = true;
+            }
         }
         #endregion
 
@@ -2167,7 +2597,8 @@
                 return;
             }
 
-            if ((tcol == (int)DispColumn.DepositAmount) ||                  // 入金金額
+            if ((tcol == (int)DispColumn.DepositAmount) ||                  // 入金金額(税抜)
+               (tcol == (int)DispColumn.TaxAmount) ||                  // 入金金額（消費税）
                (tcol == (int)DispColumn.DiscountAmount) ||                  // 値引金額
                (tcol == (int)DispColumn.CnstrPrice) ||                      // 協力金
                (tcol == (int)DispColumn.Fees) ||                            // 手数料
@@ -2232,6 +2663,7 @@
                     return;
                 }
                 else if (e.ColumnIndex == (int)DispColumn.DepositAmount
+                    || e.ColumnIndex == (int)DispColumn.TaxAmount
                     || e.ColumnIndex == (int)DispColumn.DiscountAmount
                     || e.ColumnIndex == (int)DispColumn.CnstrPrice
                     || e.ColumnIndex == (int)DispColumn.Fees
@@ -2259,5 +2691,49 @@
 
         }
         #endregion
+
+        #region グリッドマウス集計処理
+        /// <summary>
+        /// グリッドマウス集計処理
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void DataGridView_MouseUp(object sender, MouseEventArgs e)
+        {
+            try
+            {
+                DataGridViewEX dgv = (DataGridViewEX)sender;
+
+                lblCellTotal.Text = string.Empty;
+
+                double dTotal = 0;
+                int DataCnt = 0;
+                int NumericCnt = 0;
+                foreach (DataGridViewCell c in dgv.SelectedCells)
+                {
+                    if (CommonMotions.chkObjectIsNull(dgv.Rows[c.RowIndex].Cells[c.ColumnIndex])) continue;
+                    if (CommonMotions.chkCellBlank(dgv.Rows[c.RowIndex].Cells[c.ColumnIndex].Value)) continue;
+
+                    //Console.WriteLine("{0}, {1}", c.ColumnIndex, c.RowIndex);
+                    DataCnt++;
+                    dTotal += CommonMotions.cnvDouble(dgv.Rows[c.RowIndex].Cells[c.ColumnIndex].Value);
+                    if (CommonMotions.chkNumeric(dgv.Rows[c.RowIndex].Cells[c.ColumnIndex].Value)) NumericCnt++;
+                }
+                if (DataCnt <= 1 || dTotal == 0 || NumericCnt == 0) return;
+                string strTotal = CommonMotions.cnvTruncate(dTotal).ToString("#,#");
+                if (dTotal - System.Math.Floor(dTotal) != 0) strTotal = dTotal.ToString("#,#.00");
+
+                string strwrkData = string.Format(CommonDefine.s_CalculateCellFormat,
+                                                    CommonMotions.cnvTruncate(dTotal / (double)NumericCnt).ToString("#,#"),
+                                                    DataCnt.ToString("#,#"),
+                                                    strTotal);
+                lblCellTotal.Text = strwrkData;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
     }
 }
